# Inspect a Transaction

You can use this method to retrieve the unique identifier in Firstoken of a particular transaction. This method returns no sensitive data, and it is useful to know the status of a transaction and then execute a GET Transaction request.

{% tabs %}
{% tab title="cUrl" %}
**GET /V1/request/:id**

```
curl -X GET https://api.firstoken.co/transactions/requests/:id/inspect 
-H 'x-api-key: YOUR_API_KEY'
-H "Content-Type: application/json"
```

{% endtab %}

{% tab title="Params of the request" %}
**id**: *string*

> A valid Transaction ID
> {% endtab %}

{% tab title="Attributes of the response" %}
**status\_code**: *int*

The status code represents the result of the operation that was performed. For successful transactions a code 200 is always returned for the others another code is returned.

**status**: *string*

The status is a string result that only has two possible values. "Success" or "Fail".

**desc**: *string*

The desc value represents a short description about the status code.

**data**: *{object}*

> The value of the data represents a set of JSON objects of detokenized tokens. Each object has the following attributes:
>
> * **id**: *string*
>
>   The Firstoken Captures transaction unique identifier.
> * **amount**: *int*
>
>   The amount of the capture.
> * **currency**: *string*
>
>   The three digits ISO code for the currency.
> * **additional\_info**: *{object}*
>
>   An object with the additional fields of the capture.
> * **status**: *string*
>
>   The transaction status is "success” if the transaction exists and is alive according to the ttl sent in the capture process or “fail” if the transaction does not exist or the time to live is expired.
>   {% endtab %}
>   {% endtabs %}

<details>

<summary>Example JSON response body</summary>

```json
{
    "status_code": 200,
    "status": "success",
    "desc": "Success",
    "data": {
        "id": "890f228b-7cc9-46cd-8ab2-f496a9f963e2",
        "currency":"USD",
        "amount":"100",
        "additional_info": {
            "phone": "(555) 555-1234",
            "pan_index": "c436a9c1af2f69eefcfdd6b7b89b0a25"
        },
        "status" : "success"
    }
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://firstoken.gitbook.io/api-docs/api-reference/transactions/inspect-a-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
